%global _unitdir %{_prefix}/lib/systemd/system

Name:          ipfixprobe-msec
Version:       5.2.0
Release:       20250708094707%{?dist}
Summary:       IPFIX flow exporter with various extending IPFIX elements exported by plugins.
URL:           https://github.com/CESNET/ipfixprobe
Group:         Liberouter
License:       BSD
Vendor:        CESNET, z.s.p.o.
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
Provides:      ipfixprobe
Obsoletes:     ipfixprobe-ndp < 5.0.0
Obsoletes:     ipfixprobe-dpdk < 5.0.0
Conflicts:     ipfixprobe-nemea, ipfixprobe
Source0:       %{name}-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
%if 0%{?rhel} == 8
BuildRequires: gcc-toolset-14
BuildRequires: gcc-toolset-14-gcc
BuildRequires: gcc-toolset-14-gcc-c++
%endif

%if 0%{?rhel} >= 9
BuildRequires: gcc >= 10
BuildRequires: gcc-c++ >= 10
%endif

BuildRequires: make
BuildRequires: cmake >= 3.12
BuildRequires: libunwind-devel
%if 0%{?rhel} <= 9
BuildRequires: gcc-toolset-14-libatomic-devel
%endif
BuildRequires: pkgconfig
BuildRequires: lz4-devel
BuildRequires: openssl-devel
BuildRequires: git

Requires: libatomic
Requires: fuse3
Requires: lz4
Requires: openssl
Requires: python3
Requires: python3-pyyaml
Requires: python3-jsonschema

%description
ipfixprobe is a network traffic analysis tool that exports IPFIX flows with extended elements via plugins.
Export timestamp in milliseconds.

# Make sure that build is always performed out-of-source
%undefine __cmake_in_source_build

%prep
%autosetup

%build
%if 0%{?rhel} == 8
source /opt/rh/gcc-toolset-14/enable
%endif
%cmake -DCMAKE_BUILD_TYPE=Release -DENABLE_MILLISECONDS_TIMESTAMP=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_bindir}/ipfixprobe
%{_bindir}/ipfixprobed

%{_libdir}/ipfixprobe/input/libipfixprobe-input-raw.so

%{_libdir}/ipfixprobe/output/libipfixprobe-output-ipfix.so
%{_libdir}/ipfixprobe/output/libipfixprobe-output-text.so

%{_libdir}/ipfixprobe/process/libipfixprobe-process-basicplus.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-bstats.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-dns.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-dnssd.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-flowhash.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-http.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-icmp.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-pstats.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-phists.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-ovpn.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-vlan.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-osquery.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-netbios.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-tls.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-wg.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-smtp.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-quic.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-idpcontent.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-mqtt.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-passivedns.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-ssadetector.so
%{_libdir}/ipfixprobe/process/libipfixprobe-process-ssdp.so

%{_libdir}/ipfixprobe/storage/libipfixprobe-storage-cache.so

%{_libdir}/ipfixprobe/schema.json
%{_libdir}/ipfixprobe/config2args.py
%{_sysconfdir}/ipfixprobe/link0.conf.example

%{_unitdir}/ipfixprobe-monitoring.target
%{_unitdir}/ipfixprobe@.service

%changelog
